1. Home
  2. Miscellaneous
  3. What is it “OneSignal Compatibility” in PWA

What is it “OneSignal Compatibility” in PWA

One Signal service workers, OneSignalSDKWorker.js and OneSignalSDKUpdaterWorker.js overwrite other service workers that are registered with the topmost (site root) service worker scope. The solution is to merge all other service worker scripts into one.

We are providing “OneSignal Compatibility” with PWA for this you need to follow below steps.

You will find this option in the WordPress Dashboard -> PWA -> Advanced -> Check this “OneSignal Compatibility ” option and then click on the “Save Setting” button.

OneSignal Compatibility: Once you check this option pwa and OneSignal will work properly.

Note: PWA is not compatible with OneSignal on multisites just yet.

That’s it for this tutorial!

We hope we’ve clear your doubts in case If you have any feedback or questions, Just contact us here and we are always available for you.

Updated on August 30, 2019

Was this article helpful?

Related Articles

Leave a Comment